Package com.trilead.ssh2

# Interface DebugLogger

public interface DebugLogger
An interface which needs to be implemented if you want to capture debugging messages.

See Also:
  - `Connection.enableDebugging(boolean, DebugLogger)`

## Method Summary

Modifier and Type
Method
Description
`void`
`log(int level, String className, String message)`
Log a debug message.

## Method Details

### log

void log(int level, String className, String message)
Log a debug message.

Parameters:
  `level` - 0-99, 99 is a the most verbose level
  `className` - the class that generated the message
  `message` - the debug message